Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1112393

Summary: [abrt] xorg-x11-server-Xorg: Xorg.bin killed by SIGABRT
Product: [Fedora] Fedora Reporter: Paul Whalen <pwhalen>
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: armv7l   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/f68c5047afae30f9307183f9544723f4c372810d
Whiteboard: abrt_hash:bf3747328a1c7dd77eb3eb101dea70aab4da1e7d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-21 14:54:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: proc_pid_status
none
File: var_log_messages none

Description Paul Whalen 2014-06-23 20:23:12 UTC
Description of problem:
When booting an ARM system with initial-setup-graphical and SE Linux in enforcing. 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.15.99.903-2.fc21

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg.bin :9 -ac -nolisten tcp
executable:     /usr/libexec/Xorg.bin
kernel:         3.16.0-0.rc1.git4.1.fc21.armv7hl
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (5 frames)
 #9 xf86_crtc_supports_gamma at xf86Crtc.c:3408
 #10 xf86ColormapAllocatePrivates at xf86cmap.c:137
 #11 InitOutput at xf86Init.c:873
 #12 dix_main at main.c:202
 #14 _start

Comment 1 Paul Whalen 2014-06-23 20:23:16 UTC
Created attachment 911581 [details]
File: backtrace

Comment 2 Paul Whalen 2014-06-23 20:23:17 UTC
Created attachment 911582 [details]
File: cgroup

Comment 3 Paul Whalen 2014-06-23 20:23:19 UTC
Created attachment 911583 [details]
File: core_backtrace

Comment 4 Paul Whalen 2014-06-23 20:23:21 UTC
Created attachment 911584 [details]
File: dso_list

Comment 5 Paul Whalen 2014-06-23 20:23:23 UTC
Created attachment 911585 [details]
File: environ

Comment 6 Paul Whalen 2014-06-23 20:23:24 UTC
Created attachment 911586 [details]
File: limits

Comment 7 Paul Whalen 2014-06-23 20:23:26 UTC
Created attachment 911587 [details]
File: maps

Comment 8 Paul Whalen 2014-06-23 20:23:28 UTC
Created attachment 911588 [details]
File: proc_pid_status

Comment 9 Paul Whalen 2014-06-23 20:23:30 UTC
Created attachment 911589 [details]
File: var_log_messages

Comment 10 Jaroslav Reznik 2015-03-03 16:03:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22